/*   commondef.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-2000 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "tweak.h"

#define VERSION "3.012 (05/Mar/2000)"
#define SVERSION "3.012"

struct check_s
{ char wildcard[8];
  char name[64];
  char param[8];
} ;

struct perm_s
{ int32 uid;
  int32 gid;
  int32 perm;
  int32 dlc;
  int32 dlct;
  char  reserved[28];
} ;

struct file_s
{ char  name[MAXFILENAMELENGTH];
  int32 uid;
  int32 gid;
  int32 dlc;
  int32 perm;
} ;

struct msg_s
{ char* filename;
  long  filedate;
  char* msg;
  int   len;
  int   size;
  char* default_msg;
} ;

#define CL_NORMAL    0
#define CL_SHUTDOWN -1
#define CL_TIMEOUT  -2
#define CL_SOCKERR  -3
#define CL_KICK     -4
#define CL_PIPEERR  -5
#define CL_ERROR    -6
#define CL_FORCE    -7
#define CL_CLOSE    -8
#define CL_KILL     -9
#define CL_IDENT    -10

#define P_CHDIR      0x01
#define P_LIST       0x02
#define P_MKDIR      0x04
#define P_CHMOD      0x08
#define P_READ       0x10
#define P_WRITE      0x20
#define P_OVERWRITE  0x40
#define P_NOLIMIT    0x80
#define P_ALL        0x7F
#define PE_INVISIBLE 0x01

#define FP_READ     0x04
#define FP_WRITE    0x02
#define FP_CHMOD    0x08
#define FP_ALL      0x0E

#define DP_HIDDEN   0x01

#define LG_ALL      0x0FFF
#define LG_CD       0x0001
#define LG_DEL      0x0002
#define LG_GET      0x0004
#define LG_LOGIN    0x0008
#define LG_LOGOUT   0x0010
#define LG_LS       0x0020
#define LG_MD       0x0040
#define LG_PUT      0x0080
#define LG_RD       0x0100
#define LG_REN      0x0200
#define LG_CHMOD    0x0400
#define LG_SITE     0x0800

#define DFL_REGFILE    "etc/ftpd.reg"
#define DFL_GROUPFILE  "etc/groups"
#define DFL_USERFILE   "etc/users"
#define DFL_LIMITFILE  "etc/limits.cfg"
#define DFL_LOGFILE    "log/ftpd.log"
#define DFL_ERRLOGFILE "log/ftpd.err"
#define DFL_FTPSERRLOGFILE "log/ftps.err"
#define DFL_MSGDIR     "msg/"
#define DFL_MSGGDIR    "msg/grp/"
#define DFL_MSGUDIR    "msg/usr/"
#define DFL_BINDIR     "bin/"
#define DFL_BINGDIR    "bin/grp/"
#define DFL_BINUDIR    "bin/usr/"
#define DFL_SBINDIR    "sbin/"
#define DFL_SERVERPRG  "sbin/ftps"
#define DFL_ADMINPRG   "sbin/ftpa"
#define DFL_STATDIR    "log/"
#define DFL_CFGDIR     "etc/"
#define DFL_PIDFILE    "log/ftpd.pid"
#define DFL_STATFILE   "log/ftpd.stats"

/* recent addition */

#define DFL_GSTATFILE  "etc/ftpd.gstats"

/******************/

#define UC_MASK      0x07
#define UC_ROOT      0x00
#define UC_NORMAL    0x01
#define UC_ANON      0x02
#define UC_TEMPLATE  0x03
#define UC_GROUPOP   0x04
#define UC_SITEOP    0x05
#define UF_MASK      0xF8
#define UF_DISABLED  0x08
#define UF_COLOR     0x10
#define UF_INVISIBLE 0x20
#define UF_NOPASSCH  0x40
#define UF_NOCREDIT  0x80
#define UL_MASK      0xFF00

/********************/

#define FLAG_CHECKTIMEOUT    0
#define FLAG_CHMODALLOWED    1
#define FLAG_DESENCRYPTION   2
#define FLAG_IDENTMODE       3
#define FLAG_LOGINKICK       4
#define FLAG_NUKEBROKENUP    5
#define FLAG_PRIVATEMODE     6
#define FLAG_RESOLVER        7
#define FLAG_RESOLVESYMLINKS 8
#define FLAG_TOUCH           9
#define FLAG_PASSIVEMODE    10

#define FLAGS_DEFAULT 0x0496
/* EOF */
