/*   externsd.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996,1997 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _ftpd_externsd_h
#define _ftpd_externsd_h

#include "definesd.h"

extern char default_base_dir[];
extern char default_errlog_file[];
extern char default_log_file[];
extern char default_permission_file[];
extern char default_server_program[];
extern char default_who_top_msg[];
extern char default_who_body_msg[];
extern char default_who_tail_msg[];
extern char salt_a[];
extern struct msg_s who_top_msg;
extern struct msg_s who_body_msg;
extern struct msg_s who_tail_msg;

extern int                 admin_port;
extern int                 admin_port_new;
extern char                admin_program[];
extern int                 admin_socket;
extern int                 admin_socket_new;
extern char*               alternative_srv;
extern char*               base_dir;
extern char*               bouncer;
extern int                 bouncertimeout;
extern int                 checktimeout;
extern struct child_s*     child;
extern int                 child_size;
extern int                 children;
extern char*               destroy_login;
extern char*               destroy_password;
extern char*               dupechk;
extern char*               dupe_path;
extern char*               errlog_file;
extern FILE*               errlogf;
extern int                 fconv_value;
extern fd_set              fdset;
extern char*               ff_path;
extern int                 flags;
extern char*               ftpserrlog_file;
extern struct group_s*     group;
extern int                 group_count;
extern char*               group_file;
extern int                 group_size;
extern char*               gstat_file;
extern int                 logc;
extern char*               log_file;
extern pid_t               log_pid;
extern char*               log_program;
extern FILE*               log_program_f;
extern FILE*               logf;
extern int                 login_retries;
extern int                 num_anon;
extern int                 num_users;
extern char*               other_ip;
extern char*               permission_file;
extern char*               pid_file;
extern int                 port;
extern int                 port_new;
extern int                 port2;
extern int                 port2_new;
extern char*               pre_download;
extern char*               pre_upload;
extern int                 private_mode;
extern char*               program_name;
extern char*               readme_file;
extern char*               rejected_ips;
extern char                server_dir[];
extern char                server_program[];
extern char*               server_program_ptr;
extern int                 set_gid;
extern int                 set_uid;
extern struct shandler_s*  shandler;
extern int                 shandler_count;
extern fd_set              shandler_fdset;
extern int                 shandler_size;
extern char*               shortcut;
extern int                 sig_array[];
extern int                 sig_read;
extern int                 sig_write;
extern int                 ss;
extern int                 ss_new;
extern int                 ss2;
extern int                 ss2_new;
extern char*               stat_dir;
extern char*               stat_file;
extern int                 stat_month;
extern int                 stat_week;
extern int                 stat_year;
extern int                 state;
extern int                 timeout_anon;
extern int                 timeout_user;
extern struct user_s*      top_md[10];
extern struct user_s*      top_me[10];
extern struct user_s*      top_ml[10];
extern struct user_s*      top_mu[10];
extern struct user_s*      top_td[10];
extern struct user_s*      top_te[10];
extern struct user_s*      top_tl[10];
extern struct user_s*      top_tu[10];
extern struct user_s*      top_wd[10];
extern struct user_s*      top_we[10];
extern struct user_s*      top_wl[10];
extern struct user_s*      top_wu[10];
extern struct user_s*      top_yd[10];
extern struct user_s*      top_ye[10];
extern struct user_s*      top_yl[10];
extern struct user_s*      top_yu[10];
extern int                 top_ok;
extern int                 umask_anon;
extern int                 umask_root;
extern int                 umask_user;
extern int                 umask_value;
extern struct user_s*      user;
extern int                 user_count;
extern char*               user_file;
extern int                 user_size;

#ifdef DEBUG
  extern FILE* debugf;
#endif

#endif

/* EOF */
