/*   globalsd.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-2000 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "definesd.h"

char default_base_dir[]        = "/home/ftp";
char default_permission_file[] = ".permissions";

char default_who_top_msg[] = " !CNR HANDLE    GROUP     ON-TM AC-TM MUP!H/!CMDN ACTIVITY !H/ (!CLAST ACTIVITY!H)!0";
char default_who_body_msg[] = " !G%W[%02li]C!H%W[]o!D%W[%-9s]N !G%W[%-9s]G %W[!H%H!C:!H%M!C]T %W[!H%M!C:!H%S!C]t!0 !D%W[%3li]M!H/!D%W[%3li]m %W[!H(!0]l!D%W[%s]A%W[!H)!0]l!0";
char default_who_tail_msg[] = " !HFTP!B4!HALL v"SVERSION"         !CHH!c:!CMM MM!c:!CSS !HON-TM=ONLINE TIME / AC-TM=ACTIVITY TIME!0";

char salt_a[] =
  "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ./";

struct msg_s who_top_msg  = { "who_top", 0,NULL,0,0,default_who_top_msg };
struct msg_s who_body_msg = { "who_body",0,NULL,0,0,default_who_body_msg };
struct msg_s who_tail_msg = { "who_tail",0,NULL,0,0,default_who_tail_msg };

int                admin_port       = 0;     /* admin port       */
int                admin_port_new   = 0;     /* new admin port   */
char               admin_program[256];
int                admin_socket     = -1;    /* admin socket     */
int                admin_socket_new = -1;    /* new admin socket */
char*              alternative_srv  = NULL;
char*              base_dir         = NULL;
char*              bouncer          = NULL;
int                bouncertimeout   = 30;
int                checktimeout     = 0;
struct child_s*    child            = NULL;
int                child_size       = 0;
int                children         = 0;
char*              destroy_login    = NULL;
char*              destroy_password = NULL;
char*              dupechk          = NULL;
char*              dupe_path        = NULL;
char*              errlog_file      = NULL;
FILE*              errlogf          = NULL;
int                fconv_value      = 0;
fd_set             fdset;
char*              ff_path          = NULL;
int                flags            = 0;
char*              ftpserrlog_file  = NULL;
struct group_s*    group            = NULL;
int                group_count      = 0;
char*              group_file       = NULL;
int                group_size       = 0;
char*              gstat_file       = NULL;
int                logc             = 0;
char*              log_file         = NULL;
pid_t              log_pid          = 0;
char*              log_program      = NULL;
FILE*              log_program_f    = NULL;
FILE*              logf             = NULL;
int                login_retries    = 10;
int                num_anon         = 0;
int                num_users        = 0;
char*              other_ip         = NULL;
char*              permission_file  = NULL;
char*              pid_file         = NULL;
int                port             = 21; /* primary port       */
int                port_new         = 0;  /* new primary port   */
int                port2            = 0;  /* secondary port     */
int                port2_new        = 0;  /* new secondary port */
char*              pre_download     = NULL;
char*              pre_upload       = NULL;
char*              program_name     = NULL;
char*              readme_file      = NULL;
char*              rejected_ips     = NULL;
char               server_dir[256];
char               server_program[256];
char*              server_program_ptr  = NULL;
int                set_gid          = -1;   /* gid of ftp? processes */
int                set_uid          = -1;   /* uid of ftp? processes */
struct shandler_s* shandler         = NULL;     /* service handlers         */
int                shandler_count   = 0;        /* number of handlers       */
fd_set             shandler_fdset;              /* handler fdset for select */
int                shandler_size    = 0;        /* max. number of handlers  */
char*              shortcut         = NULL;
int                sig_array[sig_size];
int                sig_read         = 0;
int                sig_write        = 0;
int                ss               = -1;  /* primary socket       */
int                ss_new           = -1;  /* new primary socket   */
int                ss2              = -1;  /* secondary socket     */
int                ss2_new          = -1;  /* new secondary socket */
char*              stat_dir         = NULL;
char*              stat_file        = NULL;
int                stat_month       = 0;
int                stat_week        = 0;
int                stat_year        = 0;
int                state            = 0;
int                timeout_anon     = 60;
int                timeout_user     = 300;
struct user_s*     top_md[10];
struct user_s*     top_me[10];
struct user_s*     top_ml[10];
struct user_s*     top_mu[10];
struct user_s*     top_td[10];
struct user_s*     top_te[10];
struct user_s*     top_tl[10];
struct user_s*     top_tu[10];
struct user_s*     top_wd[10];
struct user_s*     top_we[10];
struct user_s*     top_wl[10];
struct user_s*     top_wu[10];
struct user_s*     top_yd[10];
struct user_s*     top_ye[10];
struct user_s*     top_yl[10];
struct user_s*     top_yu[10];
int                top_ok           = 0;
int                umask_anon       = 0x230000;
int                umask_root       = 0x7F1300;
int                umask_user       = 0x7F1300;
int                umask_value      = 077;
struct user_s*     user             = NULL;
int                user_count       = 0;
char*              user_file        = NULL;
int                user_size        = 0;

#ifdef DES_ENCRYPTION
  C_Block          user_key;
  void             string_to_key(char*,C_Block*);
#endif

#ifdef DEBUG
  FILE* debugf = NULL;
#endif

/* EOF */
