/*   defines.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "commondef.h"

struct user_s
{ char  name[10];
  int32 uid;
} ;

struct user_f_s
{ char  name[10];
  int32 uid;
  int32 gid;
  int64 downloaded;
  int64 uploaded;
  long  last_login;
  int32 limit;
  int64 credit;
  int32 gids[8];
  int32 class;
  char  ident[12];
  long  ipaddr;
} ;

struct group_s
{ int32 gid;
  char  name[10];
} ;

struct top_s
{ char  u_name[10];
  int64 u_amount;
  char  u_info[16];
  char  d_name[10];
  int64 d_amount;
  char  d_info[16];
  char  e_name[10];
  float e_amount;
  char  e_info[16];
  char  l_name[10];
  float l_amount;
  char  l_info[16];
} ;

#define S_FILE      1
#define S_RECORD    2
#define T_ASCII     1
#define T_IMAGE     2

#define sig_size    8

/* EOF */
