/*   log.c
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <sys/types.h>
#include <stdarg.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <unistd.h>
#include "externs.h"

void errlog(char* fmt, ...)
{ va_list ap;
  char    buf[32];
  time_t  t;

  if (stderr)
  { time(&t);
    strftime(buf,sizeof(buf),"%a %d/%m/%Y %H:%M:%S",localtime(&t));
    fprintf(stderr,"%s [%i] ",buf,getpid());
    va_start(ap,fmt);
    vfprintf(stderr,fmt,ap);
    va_end(ap);
    fputc('\n',stderr);
  }
}

void log_action(int hidden, int lno, char* mnemonic, char* str, ...)
{ va_list ap;
  char    buf[32];

  printf("#4#LOG_ACT %i %i %s ",hidden,lno,mnemonic);
  va_start(ap,str);
  vprintf(str,ap);
  va_end(ap);
  if (str[strlen(str)-1] != '\n') fputc('\n',stdout);
  fgets(buf,sizeof(buf),stdin);
}

void log_begin(int hidden, int lno, char* mnemonic, char* str, ...)
{ va_list ap;
  char    buf[32];

  printf("#4#LOG_BEG %i %i %s ",hidden,lno,mnemonic);
  va_start(ap,str);
  vprintf(str,ap);
  va_end(ap);
  if (str[strlen(str)-1] != '\n') fputc('\n',stdout);
  fgets(buf,sizeof(buf),stdin);
}

void log_end(int hidden, int lno, char* mnemonic, char* str, ...)
{ va_list ap;
  char    buf[32];

  printf("#4#LOG_END %i %i %s ",hidden,lno,mnemonic);
  va_start(ap,str);
  vprintf(str,ap);
  va_end(ap);
  if (str[strlen(str)-1] != '\n') fputc('\n',stdout);
  fgets(buf,sizeof(buf),stdin);
}

/* EOF */
