/*   perm.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

FILE* file_open(char*,char*,const char*,int);
void split_dir(char* fp, char** dir, char** name, int testdir);
int add_dir(char* src, char* dir, char* dest, int maxlen);
int permission_ok(char* dir, int32 perm);
int permission_part_ok(char* dir, int32 p, int uidok);
int directory_hidden(char* dir);
int directory_flag_set(char* dir, int flag);
int file_permission_ok(char* dir, char* name, int32 tperm);
int read_file_permission(char* dir, char* name, int32* uid, int32* gid,
  int32* perm);
int read_permission_file(char* dir, int32* uid, int32* gid, int32* perm,
  int32* dlc, char** buffer, int* n);
int remove_permission_file(char* dir);
int write_permission_file(char* dir, int32 uid, int32 gid, int32 perm);
int32 dirperm_to_fileperm(int32 perm);
int coloruser(void);
int groupop(void);
int invisible(void);
int siteop(void);
int superuser(void);
char* get_groupname(int32 gid);
int32 get_gid(char* name);
int32 get_uid(char* name);
char* get_groupname(int32 gid);
char* get_username(int32 uid);
struct file_s* find_name(struct file_s* buffer, char* name, int n, int* found);
char* find_cdpath(char* dir);

/* EOF */
